node ('master') {
	timestamps {
		tool name: 'maven35', type: 'maven'
		tool name: 'jdk', type: 'jdk'
		def mvnHome = tool 'maven35'
		env.JAVA_HOME="${tool 'jdk'}"
		env.PATH="${env.JAVA_HOME}/bin:${env.PATH}"
		maven: 'maven35'
		sh "${mvnHome}/bin/mvn --version"
		sh 'java -version'

		stage('Checkout') {
			checkout scm
			echo "Branch is: ${env.BRANCH_NAME}"
			sh "ls -alh"
		}

		stage('Compile') {
			sh "${mvnHome}/bin/mvn compile"

		}

		stage('Test') {
			try {
				sh "${mvnHome}/bin/mvn test"
			}
			catch (Exception e) {
				println(e.getMessage())		
			}
			finally {
				junit 'target/surefire-reports/*.xml'
			}
		}
		
		stage('Git Merge') {
			build job: 'gitmerge', paramters: [[$class: 'StringParameterValue',
			name: 'BRANCH', value: "${env.BRANCH_NAME}"]]
		}
	}
}
